# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "ntex-cors"
version = "3.1.0"
authors = ["ntex contributors <team@ntex.rs>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Cross-origin resource sharing (CORS) for ntex applications."
homepage = "https://ntex.rs"
documentation = "https://docs.rs/ntex-cors/"
readme = "README.md"
keywords = [
    "ntex",
    "web",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ntex-rs/ntex-extras.git"

[lib]
name = "ntex_cors"
path = "src/lib.rs"

[dependencies.derive_more]
version = "2"
features = [
    "from",
    "display",
]

[dependencies.futures]
version = "0.3"

[dependencies.ntex]
version = "3.0.0-pre.9"

[dev-dependencies.ntex]
version = "3.0.0-pre.9"
features = ["neon"]
